Workflow Management
Retrieve an Evaluation
Fetches one evaluation (execution record) by id, including its full per-node nodeLogs. Scoped to the API key’s business.
GET
/
v2
/
workflows
/
evaluations
/
{evaluationId}
Retrieve an Evaluation
curl --request GET \
--url https://api.youverify.co/v2/workflows/evaluations/{evaluationId} \
--header 'token: <api-key>'import requests
url = "https://api.youverify.co/v2/workflows/evaluations/{evaluationId}"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://api.youverify.co/v2/workflows/evaluations/{evaluationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.youverify.co/v2/workflows/evaluations/{evaluationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.youverify.co/v2/workflows/evaluations/{evaluationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.youverify.co/v2/workflows/evaluations/{evaluationId}")
.header("token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.youverify.co/v2/workflows/evaluations/{evaluationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 200,
"message": "Execution fetched successfully",
"data": {
"execution": {
"id": "string",
"workflowId": "string",
"workflowVersion": 0,
"status": "PENDING",
"nodeLogs": {
"additionalProp1": {
"nodeId": "string",
"status": "UNATTEMPTED",
"input": {},
"output": {},
"error": "string",
"expiresAt": "2026-11-03T22:08:46.092Z",
"sla": {
"policyId": "string",
"policyName": "string",
"startedAt": "2026-11-03T22:08:46.092Z",
"warnAt": "2026-11-03T22:08:46.092Z",
"dueAt": "2026-11-03T22:08:46.092Z",
"resolvedAt": "2026-11-03T22:08:46.092Z",
"state": "on_track"
},
"startedAt": "2026-11-03T22:08:46.092Z",
"finishedAt": "2026-11-03T22:08:46.092Z"
},
"additionalProp2": {
"nodeId": "string",
"status": "UNATTEMPTED",
"input": {},
"output": {},
"error": "string",
"expiresAt": "2026-11-03T22:08:46.092Z",
"sla": {
"policyId": "string",
"policyName": "string",
"startedAt": "2026-11-03T22:08:46.092Z",
"warnAt": "2026-11-03T22:08:46.092Z",
"dueAt": "2026-11-03T22:08:46.092Z",
"resolvedAt": "2026-11-03T22:08:46.092Z",
"state": "on_track"
},
"startedAt": "2026-11-03T22:08:46.092Z",
"finishedAt": "2026-11-03T22:08:46.092Z"
},
"additionalProp3": {
"nodeId": "string",
"status": "UNATTEMPTED",
"input": {},
"output": {},
"error": "string",
"expiresAt": "2026-11-03T22:08:46.092Z",
"sla": {
"policyId": "string",
"policyName": "string",
"startedAt": "2026-11-03T22:08:46.092Z",
"warnAt": "2026-11-03T22:08:46.092Z",
"dueAt": "2026-11-03T22:08:46.092Z",
"resolvedAt": "2026-11-03T22:08:46.092Z",
"state": "on_track"
},
"startedAt": "2026-11-03T22:08:46.092Z",
"finishedAt": "2026-11-03T22:08:46.092Z"
}
},
"businessId": "string",
"parentId": "string",
"createdBy": "string",
"createdAt": "2026-11-03T22:08:46.092Z",
"updatedAt": "2026-11-03T22:08:46.092Z",
"finishedAt": "2026-11-03T22:08:46.092Z",
"workflowType": "CO",
"priority": 0,
"entityId": "string",
"entityName": "string",
"linkedTransactionIds": [
"string"
],
"linkedTransactionReferences": [
"string"
],
"eventId": "string",
"eventType": "string",
"eventCategory": "string",
"eventStatus": "string",
"externalEventId": "string",
"lifecycleId": "string",
"startedAt": "2026-11-03T22:08:46.092Z",
"executionTimeMs": 0,
"output": {
"decision": "BLOCK",
"actionReason": "string"
},
"onboarding": {
"decision": "REJECTED",
"reason": "string",
"entity": {
"entityId": "string",
"entityType": "INDIVIDUAL",
"name": "string"
},
"risk": {
"score": 0,
"rating": "LOW",
"status": "PENDING"
},
"documents": [
{
"type": "string",
"dateOfExpiry": "string",
"status": "VALID",
"daysToExpiry": 0
}
],
"issues": [
{
"issueId": "string",
"issueType": "string",
"mismatchField": "string",
"severity": "string",
"status": "string",
"createdVia": "system"
}
],
"checks": {
"identity": {
"status": "NOT_RUN"
},
"business": {
"status": "NOT_RUN"
},
"pep": {
"status": "NOT_RUN",
"hits": 0
},
"sanctions": {
"status": "NOT_RUN",
"hits": 0
},
"screeningScore": 0,
"adverseMedia": {
"status": "string",
"score": 0
}
},
"actions": [
"string"
],
"followUp": {
"assignedQueue": "string",
"requiredAction": "string",
"alertCount": 0,
"caseCreated": true
},
"failedStep": {
"nodeId": "string",
"type": "string",
"error": "string"
}
},
"trace": [
{
"nodeId": "string",
"type": "string",
"status": "string",
"triggered": true,
"error": "string"
}
],
"ruleIds": [
"string"
],
"matchedRuleIds": [
"string"
],
"actionsApplied": [
"string"
],
"alertCount": 0,
"outcome": {
"result": "approved",
"flagged": [
"string"
]
},
"counterparties": [
{}
],
"riskScore": 0,
"flagged": true,
"valueAtRisk": 0,
"valueAtRiskCurrency": "string",
"resolution": {
"source": "alert",
"outcome": "approved",
"reference": "string",
"resolvedAt": "2026-11-03T22:08:46.092Z",
"detail": {}
}
}
},
"links": [
{}
]
}{
"success": false,
"statusCode": 401,
"message": "Permission denied",
"name": "UnauthorizedError",
"data": {}
}{
"success": false,
"statusCode": 404,
"message": "You have attempted to get a resource that does not exist.",
"name": "ResourceNotFoundError",
"data": {}
}{
"success": false,
"statusCode": 429,
"message": "Too many requests",
"name": "RateLimitError",
"data": {}
}{
"success": false,
"statusCode": 500,
"message": "Internal Server Error",
"name": "Error",
"data": {}
}Authorizations
Your Youverify API secret key. Never expose client-side.
Headers
API secret token
Path Parameters
Unique id of the evaluation
⌘I
Retrieve an Evaluation
curl --request GET \
--url https://api.youverify.co/v2/workflows/evaluations/{evaluationId} \
--header 'token: <api-key>'import requests
url = "https://api.youverify.co/v2/workflows/evaluations/{evaluationId}"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://api.youverify.co/v2/workflows/evaluations/{evaluationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.youverify.co/v2/workflows/evaluations/{evaluationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.youverify.co/v2/workflows/evaluations/{evaluationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.youverify.co/v2/workflows/evaluations/{evaluationId}")
.header("token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.youverify.co/v2/workflows/evaluations/{evaluationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 200,
"message": "Execution fetched successfully",
"data": {
"execution": {
"id": "string",
"workflowId": "string",
"workflowVersion": 0,
"status": "PENDING",
"nodeLogs": {
"additionalProp1": {
"nodeId": "string",
"status": "UNATTEMPTED",
"input": {},
"output": {},
"error": "string",
"expiresAt": "2026-11-03T22:08:46.092Z",
"sla": {
"policyId": "string",
"policyName": "string",
"startedAt": "2026-11-03T22:08:46.092Z",
"warnAt": "2026-11-03T22:08:46.092Z",
"dueAt": "2026-11-03T22:08:46.092Z",
"resolvedAt": "2026-11-03T22:08:46.092Z",
"state": "on_track"
},
"startedAt": "2026-11-03T22:08:46.092Z",
"finishedAt": "2026-11-03T22:08:46.092Z"
},
"additionalProp2": {
"nodeId": "string",
"status": "UNATTEMPTED",
"input": {},
"output": {},
"error": "string",
"expiresAt": "2026-11-03T22:08:46.092Z",
"sla": {
"policyId": "string",
"policyName": "string",
"startedAt": "2026-11-03T22:08:46.092Z",
"warnAt": "2026-11-03T22:08:46.092Z",
"dueAt": "2026-11-03T22:08:46.092Z",
"resolvedAt": "2026-11-03T22:08:46.092Z",
"state": "on_track"
},
"startedAt": "2026-11-03T22:08:46.092Z",
"finishedAt": "2026-11-03T22:08:46.092Z"
},
"additionalProp3": {
"nodeId": "string",
"status": "UNATTEMPTED",
"input": {},
"output": {},
"error": "string",
"expiresAt": "2026-11-03T22:08:46.092Z",
"sla": {
"policyId": "string",
"policyName": "string",
"startedAt": "2026-11-03T22:08:46.092Z",
"warnAt": "2026-11-03T22:08:46.092Z",
"dueAt": "2026-11-03T22:08:46.092Z",
"resolvedAt": "2026-11-03T22:08:46.092Z",
"state": "on_track"
},
"startedAt": "2026-11-03T22:08:46.092Z",
"finishedAt": "2026-11-03T22:08:46.092Z"
}
},
"businessId": "string",
"parentId": "string",
"createdBy": "string",
"createdAt": "2026-11-03T22:08:46.092Z",
"updatedAt": "2026-11-03T22:08:46.092Z",
"finishedAt": "2026-11-03T22:08:46.092Z",
"workflowType": "CO",
"priority": 0,
"entityId": "string",
"entityName": "string",
"linkedTransactionIds": [
"string"
],
"linkedTransactionReferences": [
"string"
],
"eventId": "string",
"eventType": "string",
"eventCategory": "string",
"eventStatus": "string",
"externalEventId": "string",
"lifecycleId": "string",
"startedAt": "2026-11-03T22:08:46.092Z",
"executionTimeMs": 0,
"output": {
"decision": "BLOCK",
"actionReason": "string"
},
"onboarding": {
"decision": "REJECTED",
"reason": "string",
"entity": {
"entityId": "string",
"entityType": "INDIVIDUAL",
"name": "string"
},
"risk": {
"score": 0,
"rating": "LOW",
"status": "PENDING"
},
"documents": [
{
"type": "string",
"dateOfExpiry": "string",
"status": "VALID",
"daysToExpiry": 0
}
],
"issues": [
{
"issueId": "string",
"issueType": "string",
"mismatchField": "string",
"severity": "string",
"status": "string",
"createdVia": "system"
}
],
"checks": {
"identity": {
"status": "NOT_RUN"
},
"business": {
"status": "NOT_RUN"
},
"pep": {
"status": "NOT_RUN",
"hits": 0
},
"sanctions": {
"status": "NOT_RUN",
"hits": 0
},
"screeningScore": 0,
"adverseMedia": {
"status": "string",
"score": 0
}
},
"actions": [
"string"
],
"followUp": {
"assignedQueue": "string",
"requiredAction": "string",
"alertCount": 0,
"caseCreated": true
},
"failedStep": {
"nodeId": "string",
"type": "string",
"error": "string"
}
},
"trace": [
{
"nodeId": "string",
"type": "string",
"status": "string",
"triggered": true,
"error": "string"
}
],
"ruleIds": [
"string"
],
"matchedRuleIds": [
"string"
],
"actionsApplied": [
"string"
],
"alertCount": 0,
"outcome": {
"result": "approved",
"flagged": [
"string"
]
},
"counterparties": [
{}
],
"riskScore": 0,
"flagged": true,
"valueAtRisk": 0,
"valueAtRiskCurrency": "string",
"resolution": {
"source": "alert",
"outcome": "approved",
"reference": "string",
"resolvedAt": "2026-11-03T22:08:46.092Z",
"detail": {}
}
}
},
"links": [
{}
]
}{
"success": false,
"statusCode": 401,
"message": "Permission denied",
"name": "UnauthorizedError",
"data": {}
}{
"success": false,
"statusCode": 404,
"message": "You have attempted to get a resource that does not exist.",
"name": "ResourceNotFoundError",
"data": {}
}{
"success": false,
"statusCode": 429,
"message": "Too many requests",
"name": "RateLimitError",
"data": {}
}{
"success": false,
"statusCode": 500,
"message": "Internal Server Error",
"name": "Error",
"data": {}
}